
	$("#newTicket").click(function(){
	
		var inputName = $("#name");
		var inputServer = $("#server"); 
		var inputDep = $("#dep"); 
		var inputText = $("#text"); 
		$("#newTicket").html("<img src=\"https://vk.com/images/upload_inv.gif\" style=\"margin: 5px;\">").show().delay(3000);
		
		if (inputName.val() == "" || inputText.val() == "") {
			fly_p('2', 'Заполните все поля');
			$("#newTicket").html("<i class=\"glyphicon glyphicon-ok\"></i> Создать").show().delay(3000);
		} else {
			
			$.ajax({ // Составляем AJAX запрос
			
				url: "/support/new",
				type: "POST",
				data: {ajax: "new", name: inputName.val(),server: inputServer.val(),dep: inputDep.val(),text: inputText.val()},
				success: function (data) {
					console.log(data);
					location.href	=	"/support/ticket/" + data;
				}
				
			})
			
		}
		
	});
	
	function refreshmessagess(){
		$.ajax({ // Составляем AJAX запрос
			
			url: "/support/ticket/"+$('#ticketid').html(),
			type: "POST",
			data: {ajax: "getMessagess", tid: $('#ticketid').html()},
			success: function (data) {
				$("#messagess").html(data);
			}
		})
	}
	
	function assAnswer(messageid, asstype, uid){
		$("#assAnswer_"+messageid).html("<img src=\"https://vk.com/images/upload_inv.gif\" style=\"margin: 5px;\">").show().delay(3000);
		$.ajax({ // Составляем AJAX запрос
			
			url: "/support/ticket/"+$('#ticketid').html(),
			type: "POST",
			data: {ajax: "assmessage", mid: messageid,ass: asstype,uid: uid},
			success: function (data) {
				console.log(data);
				refreshmessagess();
			}
			
		})
	}
	
	function closeticket(ticketid){
		$.ajax({ // Составляем AJAX запрос
			
			url: "/support/ticket/"+ticketid,
			type: "POST",
			data: {ajax: "closeticket", tid: ticketid},
			success: function (data) {
				console.log(data);
				refreshmessagess();
				$('#ticketOpen').hide();
				$('#ticketClose').show();
			}
			
		})
	}
	
	function sendAnswer() {

		var inputText = $("#text"); 
		$("#addAnswer").html("<img src=\"https://vk.com/images/upload_inv.gif\" style=\"margin: 5px;\">").show().delay(3000);
		
		if (inputText.val() == "") {
			fly_p('2', 'Введите сообщение для ответа');
			$("#addAnswer").html("Отправить").show().delay(3000);
		} else {
			
			$.ajax({ // Составляем AJAX запрос
			
				url: "/support/ticket/"+$('#ticketid').html(),
				type: "POST",
				data: {ajax: "addmessage", text: inputText.val(), tid: $('#ticketid').html()},
				success: function (data) {
					console.log(data);
					if(data == 1){
						refreshmessagess();
						inputText.val("");
						$("#addAnswer").html("Отправить").show().delay(3000);
					} else {
						fly_p('2', data);
						$("#addAnswer").html("Отправить").show().delay(3000);
					}
				}
				
			})
			
		}
		
	};
	
	setInterval(refreshmessagess,30000);